Langsung ke konten utama
PATCH
/
v3
/
stores
/
{store_id}
/
customers
/
me
Update the authenticated customer profile
curl --request PATCH \
  --url https://api.scalev.com/v3/stores/{store_id}/customers/me \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "phone": "<string>",
  "date_of_birth": "2023-12-25",
  "sex": "<string>",
  "is_unsubscribe": true
}
'
{
  "customer": {
    "id": 123,
    "email": "jsmith@example.com",
    "name": "<string>",
    "phone": "<string>",
    "avatar": "<string>",
    "bio_description": "<string>",
    "date_of_birth": "2023-12-25",
    "sex": "<string>",
    "confirmed_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z",
    "last_updated_at": "2023-11-07T05:31:56Z",
    "status": "<string>",
    "is_unsubscribe": true,
    "business_id": 123
  },
  "store": {
    "id": 123,
    "unique_id": "<string>",
    "name": "<string>",
    "is_customer_otp_required": true
  },
  "is_generated_password_reset": true
}

Otorisasi

Authorization
string
header
wajib

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parameter Path

store_id
string
wajib

Store unique_id.

Body

application/json

Customer self-profile fields accepted in public v1. Email is read-only.

name
string
phone
string
date_of_birth
string<date>
sex
string
is_unsubscribe
boolean

Respons

Updated authenticated customer profile

customer
object
wajib
store
object
wajib
is_generated_password_reset
boolean
wajib